export interface Article {
  id: string;
  title: string;
  excerpt: string;
  content: string;
  category: Category;
  city: City;
  author: Author;
  coverImage: string;
  gallery?: GalleryImage[];
  publishedAt: string;
  readTime: number;
  likes: number;
  dislikes: number;
  userReaction?: 'like' | 'dislike' | null;
}

export interface GalleryImage {
  id: string;
  url: string;
  caption: string;
  alt: string;
}

export interface Author {
  id: string;
  name: string;
  avatar: string;
  bio: string;
}

export type Category = 'Film' | 'Theater' | 'Music' | 'Sports' | 'Art' | 'Legends' | 'Anniversaries' | 'Memory';
export type City = 'New York' | 'London';